Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157548 - CAN-2005-1260 bzip2 decompression bomb (DoS)
Summary: CAN-2005-1260 bzip2 decompression bomb (DoS)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bzip2
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Jiri Ryska
QA Contact: Ben Levenson
URL:
Whiteboard: impact=low,public=20050215,source=ven...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-12 16:11 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-474
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-13 15:18:36 UTC


Attachments (Terms of Use)
Upstream fixes (deleted)
2005-05-12 16:15 UTC, Josh Bressers
no flags Details | Diff
Demo Exploit (deleted)
2005-06-03 14:43 UTC, Josh Bressers
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:474 normal SHIPPED_LIVE Low: bzip2 security update 2005-06-16 04:00:00 UTC

Description Josh Bressers 2005-05-12 16:11:51 UTC
Chris Evans discovered a denial of service issue in bzip2.

http://scary.beasts.org/security/d5d5466da311d907/CESA-2005-002.txt

This issue has been fixed in bzip2 1.0.3, but it's not well known yet.  I'm
going to keep this bug private until chris makes his advisory public.

Comment 1 Josh Bressers 2005-05-12 16:13:20 UTC
This issue also affects RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2005-05-12 16:15:17 UTC
Created attachment 114301 [details]
Upstream fixes

This patch contains the important bits between 1.0.2 and 1.0.3.

Comment 3 Josh Bressers 2005-06-03 14:43:57 UTC
Created attachment 115129 [details]
Demo Exploit

Comment 4 Josh Bressers 2005-06-03 16:41:06 UTC
This is no longer embargoed.

Comment 5 Josh Bressers 2005-06-16 17:58:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-474.html


Comment 7 Red Hat Bugzilla 2006-02-13 15:18:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-474.html



Note You need to log in before you can comment on or make changes to this bug.